#include "extdll.h"
#include "util.h"

#include "cbase.h"
#include "effects.h"
#include "aura.h"
#include "classes.h"
#include "magicattack.h"
#include "explodingattack.h"
#include "player.h"
#include "nodes.h"
#include "weapons.h"
#include "soundent.h"
#include "monsters.h"
#include "decals.h"
#include "gamerules.h"
#include "classes.h"


CPiccolo::CPiccolo ( CBasePlayer *player ): CBaseClass(player) 
{	
}

CBaseClass* CPiccolo::GetAscendedClass(void)
{	return new CPiccolo2(m_pPlayer);
}

//CBaseClass* CPiccolo2::GetAscendedClass(void)
//{	return new CPiccolo3(m_pPlayer);
//}


void CPiccolo::AddAllAttacks (void)
{	m_pPlayer->GiveNamedItem("weapon_melee");
	m_pPlayer->GiveNamedItem("weapon_kiblast");
	m_pPlayer->GiveNamedItem("weapon_scattershot");
	m_pPlayer->GiveNamedItem("weapon_genericbeam");
	m_pPlayer->GiveNamedItem("weapon_eyelaser");
	m_pPlayer->GiveNamedItem("weapon_specialbeamcannon");
	m_pPlayer->GiveNamedItem("weapon_masenko");
	m_pPlayer->GiveNamedItem("weapon_sensu");
}

CPiccolo2::CPiccolo2(CBasePlayer *player): CPiccolo(player)
{	
}

CBaseClass* CPiccolo2::GetDescendedClass(void)
{	return new CPiccolo(m_pPlayer);
}

//CBaseClass* CPiccolo3::GetDescendedClass(void)
//{	return new CPiccolo2(m_pPlayer);
//}

void CPiccolo2::AddAllAttacks (void)
{	m_pPlayer->GiveNamedItem("weapon_melee");
	m_pPlayer->GiveNamedItem("weapon_kiblast");
	m_pPlayer->GiveNamedItem("weapon_scattershot");
	m_pPlayer->GiveNamedItem("weapon_genericbeam");
	m_pPlayer->GiveNamedItem("weapon_eyelaser");
	m_pPlayer->GiveNamedItem("weapon_specialbeamcannon");
	m_pPlayer->GiveNamedItem("weapon_makosen");
	m_pPlayer->GiveNamedItem("weapon_sensu");
}
 